<template>
  <span class="value" :style="{ width: `${width}px` }">
    {{ formatted }}
  </span>
</template>
<script>
export default {
  name: "value",
  props: {
    max: {},
    value: {},
  },
  computed: {
    width() {
      return this.value * this.max;
    },
    formatted() {
      return Math.round(this.value * 100) + "%";
    },
  },
};
</script>
<style scoped>
.value {
  display: block;
  width: 1px;
  height: 32px;
  position: relative;
  text-align: center;
  line-height: 32px;
}
</style>
